function [ConfMat, acc] = m_getConfMat(nClass, gtLb, predLb)
% Compute confunction matrix
% By Minh Hoai Nguyen (minhhoai@gmail.com)
% Last modified: 7 July 2011

ConfMat = zeros(nClass, nClass);
for i=1:nClass
    for j=1:nClass
        ConfMat(i,j) = sum(and(gtLb == i, predLb == j));
    end;
end;
ConfMat = ConfMat./repmat(sum(ConfMat,2), 1, nClass);
acc = mean(diag(ConfMat));
